* -------------- ANAR1 result parameter declare --------------------------

* Declaring parameters for levels (and proportionate change) results
* for ALL modle variables

PARAMETERS

* These parameter are used to report the results from the simulations

* #### Exchange Rate Block

 resER(r,clos,sim)          Exchange rate (domestic per world unit)
 resTOT(r,clos,sim)         Terms of trade

* ######## TRADE BLOCK

* #### Exports Block

 resPER(c,w,r,clos,sim)     Domestic price of exports of comm'y to regions and aggregates
 resPE(c,r,clos,sim)        Domestic price of exports by commodity c
 resPWE(c,w,r,clos,sim)     World price of exports of commodity c from region r in dollars

 resPD(c,r,clos,sim)        Consumer price for domestic supply of commodity c

 resQER(c,w,r,clos,sim)     Exports of comm'y c to regions and aggregates
 resQE(c,r,clos,sim)        Domestic output exported by commodity c
 resQD(c,r,clos,sim)        Domestic demand for commodity c

* #### Imports Block

 resPMR(w,c,r,clos,sim)     Domestic price of imports of comm'y from region w
 resPM(c,r,clos,sim)        Domestic price of competitive imports of commodity c
 resPMS(c,r,clos,sim)       Dom price of imports of comm'y c from region with small shares
 resPML(c,r,clos,sim)       Dom price of imports of comm'y c from region with large shares
 resPWM(w,c,r,clos,sim)     CIF price of competitive imports of commodity c from region w
 resPWMFOB(w,c,r,clos,sim)  FOB price of competitive imports of commodity c from region w

 resPT(c,r,clos,sim)        Price of imported transport services (same price to imports from all regions)

 resQQ(c,r,clos,sim)        Supply of composite commodity c
 resQM(c,r,clos,sim)        Imports of commodity c
 resQML(c,r,clos,sim)       Supply of composite import from large share regions
 resQMS(c,r,clos,sim)       Supply of composite import from small share regions
 resQMR(w,c,r,clos,sim)     Imports of comm'y c from region w

* trade margin quantity
 resQT(w,c,r,clos,sim)      Quantity of margin services for total imports from region w

* ######## COMMODITY PRICE BLOCK

 resPQS(c,r,clos,sim)       Supply price of composite commodity c
 resPQD(c,r,clos,sim)       Consumer price of composite commodity c
 resPXC(c,r,clos,sim)       Producer price of composite domestic output

* ######## NUMERAIRE PRICE BLOCK

 resCPI(r,clos,sim)         Consumer price index - Region numeraires
 resPPI(r,clos,sim)         Producer (domestic) price index - Region numeraires
 resERPI(clos,sim)          Exchange rate index - Global numeraire

* ######## PRODUCTION BLOCK

 resPX(a,r,clos,sim)        Composite price of output by activity a

* CES aggregation functions for Level 1 of production nest

 resPVA(a,r,clos,sim)       Value added price for activity a in r
 resPINT(a,r,clos,sim)      Price of aggregate intermediate input

 resADX(a,r,clos,sim)       Shift parameter for CES production functions for QX in r
 resADXADJ(r,clos,sim)      Scaling Factor for Shift parameter on CES functions for QX
 resDADX(r,clos,sim)        Partial scaling factor for Shift parameter on CES functions for QX

 resQX(a,r,clos,sim)        Domestic production by activity a in r
 resQVA(a,r,clos,sim)       Quantity of aggregate value added for level 1 production

* Leontief aggregation functions for Level 1 of production nest

 resQINT(a,r,clos,sim)      Agg quantity of intermediates used by activity a in r

* CES aggregation functions for Level 2 of production nest

 resADVA(a,r,clos,sim)      Shift parameter for CES production functions for QVA
 resADVAADJ(r,clos,sim)     Scaling Factor for Shift parameter on CES functions for QVA
 resDADVA(r,clos,sim)       Partial scaling factor for Shift parameter on CES functions for QVA

 resADFD(ff,a,r,clos,sim)   Shift parameter for factor and activity specific efficiency

 resADFDfADJ(f,clos,sim)    Factor Scaling Factor for flow parameter on ADFD
 resADFDaADJ(a,clos,sim)    Activity Scaling Factor for flow parameter on ADFD
 resADFDrADJ(r,clos,sim)    Region Scaling Factor for flow parameter on ADFD

 resWF(ff,r,clos,sim)       Price of factor ff in r
 resWFDIST(ff,a,r,clos,sim) Sectoral proportion for factor prices in r
 resFD(ff,a,r,clos,sim)     Demand for factor ff by activity a in r
 resFS(ff,r,clos,sim)       Supply of factor ff in r

 resUNEMP(f,r,clos,sim)     Unemployed factors

* Intermediate Input Demand

 resQINTD(c,r,clos,sim)     Demand for intermediate inputs by commodity in r

* Commodity Output

 resQXC(c,r,clos,sim)       Domestic production by commodity c in r

* ######## FACTOR BLOCK

 resYF(f,r,clos,sim)        Income to factor f
 resYFDIST(f,r,clos,sim)    Factor income for distribution after depreciation

* ######## HOUSEHOLD BLOCK
* ## Household Income

 resYH(h,r,clos,sim)        Income to household h

* Household Expenditure

 resHEXP(h,r,clos,sim)      Household consumption expenditure
 resQCD(c,h,r,clos,sim)     Household consumption by commodity c

* ######## GOVERNMENT BLOCK

* #### Government Income Block

* ## Government Taxes

 resMTAX(r,clos,sim)        Import tariff revenue
 resMSTAX(r,clos,sim)       Specific Import tariff revenue
 resETAX(r,clos,sim)        Export tax revenue
 resSTAX(r,clos,sim)        Sales tax revenue
 resVTAX(r,clos,sim)        Value added tax revenue
 resITAX(r,clos,sim)        Indirect tax revenue
 resFYTAX(r,clos,sim)       Factor income tax revenue
 resHTAX(r,clos,sim)        Household income tax revenue
 resFTAX(r,clos,sim)        Factor use tax revenue

 resTEADJ(r,clos,sim)       Export subsidy Scaling Factor
 resTMADJ(r,clos,sim)       Tarrif rate Scaling Factor
 resTMSADJ(r,clos,sim)      Specific Tarrif rate Scaling Factor
 resTSADJ(r,clos,sim)       Sales tax rate scaling factor
 resTVADJ(r,clos,sim)       Value added tax rate scaling factor
 resTXADJ(r,clos,sim)       Indirect Tax Scaling Factor
 resTYFADJ(r,clos,sim)      Factor Income Tax Scaling Factor
 resTYHADJ(r,clos,sim)      Income Tax Scaling Factor
 resTFADJ(r,clos,sim)       Factor Use Tax Scaling Factor

 resDTE(r,clos,sim)         Uniform adjustment to Export taxes
 resDTM(r,clos,sim)         Uniform adjustment to Tariff rates
 resDTMS(r,clos,sim)        Uniform adjustment to Specific Tariff rates
 resDTS(r,clos,sim)         Uniform adjustment to sales tax
 resDTV(r,clos,sim)         Uniform Value added tax rate scaling factor
 resDTX(r,clos,sim)         Uniform adjustment to indirect tax
 resDTYF(r,clos,sim)        Uniform adjustment to direct tax on factors
 resDTYH(r,clos,sim)        Uniform adjustment to direct tax on households
 resDTF(r,clos,sim)         Uniform adjustment to factor use tax by activity

 resTE(c,w,r,clos,sim)      Export taxes on exported comm'y c from r to w
 resTM(w,c,r,clos,sim)      Tariff rates on imported comm'y c from w by r
 resTMS(w,c,r,clos,sim)     Specific Tariff rates on imported comm'y c from w by r
 resTS(c,r,clos,sim)        Sales tax rate
 resTV(c,r,clos,sim)        Value added tax rates
 resTX(a,r,clos,sim)        Indirect tax rate
 resTYF(f,r,clos,sim)       Direct tax rate on factor income
 resTYH(h,r,clos,sim)       Direct tax rate on households
 resTF(f,a,r,clos,sim)      Tax rate on factor use

* ## Government Income

 resYG(r,clos,sim)          Government income

* #### Government Expenditure Block

 resQGD(c,r,clos,sim)       Government consumption demand by commodity c
 resQGDADJ(r,clos,sim)      Government consumption demand scaling factor
 resEG(r,clos,sim)          Expenditure by government

* ######## KAPITAL BLOCK

* ## Savings Block

 resSHH(h,r,clos,sim)       Household savings
 resSADJ(r,clos,sim)        Savings rate scaling factor
 resDSHH(r,clos,sim)        Partial household savings rate scaling factor
 resTOTSAV(r,clos,sim)      Total savings

* ## Investment Block

 resQINVD(c,r,clos,sim)     Investment demand by commodity c
 resINVEST(r,clos,sim)      Total investment expenditure
 resIADJ(r,clos,sim)        Investment scaling factor

* ######## MARKET CLEARING BLOCK

* ##### Account Closure

 resKAPGOV(r,clos,sim)      Government Savings
 resKAPWOR(r,clos,sim)      Current account balance
 resKAPREG(w,r,clos,sim)     Bilateral current account balance

* #### Absorption Closure

 resVFDOMD(r,clos,sim)      Value of final domestic demand
 resINVESTSH(r,clos,sim)    Value share of investment in total final dom demand
 resVGDSH(r,clos,sim)       Value share of Govt consump in total final dom demand

* ##### Slack

 resWALRAS(r,clos,sim)      Slack variable for Walras's Law
 resKAPWORSYS(clos,sim)     Slack variable for global system
 resGLOBESLACK(clos,sim)    Slack variable for Globe

    ;
* -------------- end of anar1 result parameter declaration -----------------
